Bug 733756 - Pulp admin uses inconsistent command names for roles
Summary: Pulp admin uses inconsistent command names for roles
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: Jay Dobies
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 17:44 UTC by Justin Sherrill
Modified: 2013-09-09 16:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:12:42 UTC


Attachments (Terms of Use)

Description Justin Sherrill 2011-08-26 17:44:32 UTC
[jlsherri ~/katello/src  (master)]$ pulp-admin  role
Usage: pulp-admin <options> role <action> <options>
Supported Actions:
	list           list current roles       
	info           get information for a single role
	create         create a new role        
	Delete         delete an existing role  
	Add            add a user to a role     
	remove         remove a user from a role



Notice above, that the commands for Add/Delete are capitalized, but are not for anything else.  If there's no good reason for these to be capitalized they shouldn't be.

Note that lowercase usage of the commands will result in an error (i.e. case matters).

Comment 1 Jay Dobies 2011-09-08 20:05:31 UTC
commit d38788106a03e4723f1eb7f5132b6667c287a69c
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Thu Sep 8 16:05:30 2011 -0400

    733756 - Corrected capitalization

src/pulp/client/admin/plugins/role.py

Comment 2 Jeff Ortel 2011-09-14 20:27:05 UTC
build: 0.231

Comment 3 Preethi Thomas 2011-09-19 15:38:22 UTC
[root@preethi ~]# rpm -q pulp
pulp-0.0.232-1.fc15.noarch

[root@preethi ~]# pulp-admin  role
Usage: pulp-admin <options> role <action> <options>
Supported Actions:
	list           list current roles       
	info           get information for a single role
	create         create a new role        
	delete         delete an existing role  
	add            add a user to a role     
	remove         remove a user from a role

pulp-admin: error: no action given: please see --help

Comment 4 Preethi Thomas 2012-02-24 20:12:42 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.